<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddParentIdToTelegramAccountsTable extends Migration
{
    public function up()
    {
        $this->forge->addColumn('telegram_accounts', [
            'parent_id' => [
                'type'       => 'INT',
                'constraint' => 11,
                'unsigned'   => true,
                'null'       => true,
                'after'      => 'is_verified',
            ],
        ]);
        $this->forge->addForeignKey('parent_id', 'parents', 'id', 'CASCADE', 'SET NULL', 'telegram_accounts_parent_id_fk');
    }

    public function down()
    {
        $this->forge->dropForeignKey('telegram_accounts', 'telegram_accounts_parent_id_fk');
        $this->forge->dropColumn('telegram_accounts', 'parent_id');
    }
}
